/*
 * CreditCardAccount.java
 */

package ejb30.inherit.entity;

import javax.persistence.*;

@Entity
@PrimaryKeyJoinColumn(name="cca_id")
public class CreditCardAccount extends Account{

 private String issuingBank;
 private String creditCardNumber;
 private String expiresOn;

    /** Creates a new instance of CreditCardAccount */
    public CreditCardAccount() {
    }

    @Basic
    @Column(length=55)
    public String getIssuingBank() {
        return issuingBank;
    }

    public void setIssuingBank(String issuingBank) {
        this.issuingBank = issuingBank;
    }

    @Basic
    @Column(length=55)
    public String getCreditCardNumber() {
        return creditCardNumber;
    }

    public void setCreditCardNumber(String creditCardNumber) {
        this.creditCardNumber = creditCardNumber;
    }

    @Basic
    @Column(length=55)
    public String getExpiresOn() {
        return expiresOn;
    }

    public void setExpiresOn(String expiresOn) {
        this.expiresOn = expiresOn;
    }
    
}
