/*
 * BankAccount.java
 */

package ejb30.inherit.entity;

import javax.persistence.*;

@MappedSuperclass
public abstract class BankAccount extends Account{
    
    //number maps to BANKACCOUNT.NUMBER
    //name maps to BANKACCOUNT.NAME
    //created maps to BANKACCOUNT.CREATED
    //status maps to BANKACCOUNT.STATUS
    //balance maps to BANKACCOUNT.BALANCE
    //description maps to BANKACCOUNT.DESCRIPTION
    
    private String bankName;
    
    /** Creates a new instance of BankAccount */
    public BankAccount() {
    }

    @Basic
    @Column(length=55)
    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

}
