/*
 * BaseInfo.java
 */
package ejb30.inherit.entity;

import javax.persistence.*;

@Entity
@Table(name="B_INFO")
@Inheritance(strategy=InheritanceType.SINGLE_TABLE)
@DiscriminatorColumn(name="DC", discriminatorType=DiscriminatorType.STRING)
@DiscriminatorValue("B_I")
public class BaseInfo implements java.io.Serializable {

    // Instance variables
    private String id;
    private String name;

    public BaseInfo() {
    }

    public BaseInfo(String v1, String v2) {
	id = v1;
	name = v2;
    }


    // getters and setters for state fields
    @Id
    @Column(length=55)
    public String getId(){
	return id;
    }

    public void setId(String v){
	id = v;
    }

    @Column(length=55)
    public String getName(){
	return name;
    }

    public void setName(String v){
	name = v;
    }


}


