/*
 * SessionEJB.java
 */

package ejb30.inherit.session;

import javax.ejb.Stateless;
import javax.persistence.PersistenceContext;
import javax.persistence.EntityManager;
import javax.persistence.*;
import java.util.*;

import ejb30.inherit.entity.*;

@Stateless
public class SessionEJB implements SessionLocal{
    
    /**
     * Creates a new instance of SessionEJB
     */
    
    
    public SessionEJB() {
    }
    
    @PersistenceContext(unitName="inherit")
    private EntityManager em;

    public Account findAccountL(String acctNum) {
        return em.find(Account.class, acctNum);
    }
    
    public void persistAccountL(Object obj){
        em.persist(obj);
    }
    
}
